"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.applyDirectiveTransformers = exports.directiveTypeDefs = void 0;
const graphql_tag_1 = require("graphql-tag");
const auth_directive_1 = require("./graphql-directives/auth.directive");
const cache_directive_1 = require("./graphql-directives/cache.directive");
const has_ability_directive_1 = require("./graphql-directives/has-ability.directive");
exports.directiveTypeDefs = (0, graphql_tag_1.gql) `
    ${cache_directive_1.cacheDirectiveTypeDefs}
    ${auth_directive_1.authDirectiveTypeDefs}
    ${has_ability_directive_1.hasAbilityDirectiveTypeDefs}
`;
function applyDirectiveTransformers(schema) {
    return (0, auth_directive_1.authDirective)((0, has_ability_directive_1.hasAbilityDirective)(schema));
}
exports.applyDirectiveTransformers = applyDirectiveTransformers;
//# sourceMappingURL=app-graphql-directive.js.map